<?session_start();
$menu = $_GET['menu'];
include("db.php");

$db->openDB();
$title = mysql_query("SET NAMES cp1251");
$title = mysql_query("SELECT * FROM died WHERE IDENTIFIKATOR=\"$menu\"");  
$title2 = mysql_fetch_assoc($title);
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel='icon' href='1.ico' type='image/x-icon'>
<link rel="shortcut icon" href="1.ico" type="image/x-icon" />
<title>Осмотр трупа <?echo $title2[D_NAME];?></title>
<link rel="stylesheet" href="styleN.css" type="text/css" />
</head>
<body>
<div class="inf">
<?
$d=date("H:i");
$p = $_GET['p'];
$key = $_GET['key'];
$no = $_GET['no'];
$to = $_GET['to'];
$NICK = $_GET['NICK'];
$pass = $_GET['pass'];

$use = $_GET['use'];
$c = $_GET['c'];
$u = $_GET['u'];
$sc = $_GET['sc'];
$d = $_GET['d'];
$p = @intval($_GET['p']);
$idT = $_GET['idT'];
$desc = $_GET['desc'];
$del = $_GET['del'];
$slot = $_GET['slot'];
$drp = $_GET['drp'];
$s=$_GET['s'];
//айпи игроков
$ip = $_SERVER['REMOTE_ADDR'];
$t = time();


$vremya = time();
$nnick=mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$nnick2=mysql_fetch_assoc($nnick);
if($vremya-$nnick2[gametime]>600){
echo"</div>";
include ("accaunt.php");
$AC->ACCAUNT();//Проверка Аккаунта
}

$inv = mysql_query("SET NAMES cp1251");
$inv=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$_SESSION[s]\" AND IL_NO='0' AND ID_IL=\"$idT\"");

$items = mysql_query("SET NAMES cp1251");
$items=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]' AND IL_VREME=\"0\"");
$items2 = mysql_query("SET NAMES cp1251");
$items2=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]' AND IL_NO=\"0\" AND NEVE!='1'");
$items_ves = mysql_query("SET NAMES cp1251");
$items_ves=mysql_query("SELECT * FROM users WHERE NICK='$_SESSION[s]'");
$items_count_ss = mysql_query("SET NAMES cp1251");
$items_count_ss=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]' AND IL_NO=\"0\"");
$items_count_sss=mysql_num_rows($items_count_ss);
$c_items=mysql_num_rows($items2);
$items_ves2 = mysql_fetch_assoc($items_ves);





// Переменная хранит число сообщений выводимых на станице  
$num = 10;  
// Извлекаем из URL текущую страницу  
$page = $_GET['page'];  
// Определяем общее число сообщений в базе данных  
$result = mysql_query("SELECT COUNT(*) FROM died_items WHERE DI_IDENTIFIKATOR=\"$menu\"");  
$posts = mysql_result($result, 0);  
// Находим общее число страниц  
$total = intval(($posts - 1) / $num) + 1;  
// Определяем начало сообщений для текущей страницы  
$page = intval($page);  
// Если значение $page меньше единицы или отрицательно  
// переходим на первую страницу  
// А если слишком большое, то переходим на последнюю  
if(empty($page) or $page < 0) $page = 1;  
  if($page > $total) $page = $total;  
// Вычисляем начиная к какого номера  
// следует выводить сообщения  
$start = $page * $num - $num;  
// Выбираем $num сообщений начиная с номера $start  
$result = mysql_query("SET NAMES cp1251");
$result = mysql_query("SELECT * FROM died_items WHERE DI_IDENTIFIKATOR=\"$menu\" LIMIT $start, $num");  

// В цикле переносим результаты запроса в массив $postrow  
while ( $postrow[] = mysql_fetch_array($result))  
?>






<style type="text/css">
body,td,th {
	color: #000000;
}
</style>
</head>
<body>



<?if(mysql_num_rows($title)<1){
?>
<table width="450" height="129" align="center">
<tr>
  <td width="348" height="37" align="center" bgcolor="#a23232"><b><font color="#FFE7BA">Осмотр трупа</font></b>
  
  </td>
</tr>
<tr>
 
  <td width="348" height="2" valign="top" bgcolor="#FFE7BA" align="center">

  <div class="menu">
  <li><b><font color="#a23232"><img src="img/bad.png" /> ОШИБКА! Неверная цель!</font></b></li></div>
  </td>
  <tr>
 
  <td width="348" height="2" align="left" valign="top" bgcolor="#FFE7BA">

  <div class="menu">
  <li><a href="game.php"><b><font color="#a23232"><img src="img/attck.png" /> В игру</font></b></a></li></div>
  </td>
  </tr>
<tr>
 
  <td>
<?
include("footer.php");
?>
</td>
  </tr>
<?
}
?>
<?if(mysql_num_rows($title)>0){
?>
<table width="450" height="182" align="center">
  <tr>
  <td width="348" height="34" align="center" bgcolor="#a23232"><b><font color="#FFE7BA">Осмотр трупа <?echo $title2[D_NAME];?></font></b>
  
  </td>
  
  </tr>
  
  <tr>
  
  <td width="348" height="20" align="left" valign="top" bgcolor="#FFE7BA">
  <div class="menu">
  <li><a href="game.php"><b><font color="#a23232"><img src="img/attck.png" /> В игру</font></b></a></li></div>
  </td>
  </tr>
   
  
   <tr>
  <td width="348" height="20" bgcolor="#a23232" align="Center"><b><font color="#FFE7BA">Предметы <?
  $recou = mysql_query("SELECT * FROM died_items WHERE DI_IDENTIFIKATOR=\"$menu\"");  
$recou2 = mysql_num_rows($recou);
  echo" <font color=\"#FFE7BA\"> ($recou2)";?>
  </font></b>
  </td>
  </tr>
  
  <td width="348" height="31" align="left" valign="middle" bgcolor="#FFE7BA" >
<?






  

$ItemsName=$aItems['IL_NAME'];
$ItemsNo=$aItems['IL_NO'];
$src=$aItems['SRC'];
//если кол-во предметов равно 0 ,то удаляем вещь из инвентаря

//$items23=mysql_query("SELECT * FROM inv WHERE ID_USERS='$_SESSION[s]'");
//$count_items=mysql_num_rows($items23[IL_COUNT]);echo $count_items;echo $NICK;

?>

<?
for($i = 0; $i < $num; $i++)  
{  
 
         
echo"";
$resc = mysql_num_rows($result);
if($i<$resc){
$ids = $postrow[$i]['DI_IL_KEY'];
$io = $postrow[$i]['DI_IDENTIFIKATOR'];
$src = $postrow[$i]['DI_IL_IMAGE'];
$name_i = $postrow[$i]['DI_IL_NAME'];
echo "<div style=\"border:1px dotted\">
<div class=\"menu\">
<li><a href=\"?p=0&menu=$io&idT=$ids&page=$page\"><img src=\"$src\" width=\"42\" height=\"42\" alt=\"+\"> 
<b><font color=\"#a23232\">".$postrow[$i]['DI_IL_NAME'].' ('.$postrow[$i]['IL_COUNT']." шт.)</a> </div></font></b>";
if($ItemsNo==0){



$odev = mysql_query("SELECT * FROM died_items WHERE DI_IL_KEY=\"$idT\" AND DI_IDENTIFIKATOR=\"$menu\" LIMIT 1"); 
 
while($odev2 = mysql_fetch_assoc($odev)){
if($p == 0 AND $idT == $ids){
if($i<$resc){echo"

<div style=\"padding:5px\"><b>

<div class=\"menu\"><li><a href=\"?p=0&menu=$io&idT=$ids&key=take&page=$page\">ВЗЯТЬ</a></li></div> 
</div>";}
$prov_drp = mysql_query("SELECT * FROM died_items WHERE DI_IL_KEY=\"$idT\" AND DI_IDENTIFIKATOR=\"$menu\"");
$prov_drp2 = mysql_fetch_assoc($prov_drp);
if($key == 'take'){
if($prov_drp2[ID_ALL_CLASS] == 'weapon' OR $prov_drp2[ID_ALL_CLASS] == 'armor'){

$ponew=mysql_query("INSERT INTO inv (IL_LVL,IL_CLASS,IL_ALL_CLASS,IL_SUBCLASS,
IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,IL_MAGD_MIN,IL_MAGD_MAX,IL_STR,
IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,
IL_IMAGE,IL_SRC,IL_NO,IL_SHANS_BLOCK,IL_FIRE,IL_WIND,IL_EARTH,IL_DARK,BONUS_HP,BONUS_MP,
BONUS_MDEF,BONUS_DAM,BONUS_KRIT,BONUS_UKL,BONUS_VES,IL_UPGRADE,ID_USERS,IL_DESC,IL_COUNT,
IL_VREME,IL_TVRE) 
VALUES('$prov_drp2[DI_IT_LVL]','$prov_drp2[DI_IL_CLASS]',
'$prov_drp2[DI_IL_ALL_CLASS]','$prov_drp2[DI_IL_SUBCLASS]',
'$prov_drp2[DI_IL_NAME]','$prov_drp2[DI_IL_COST]','$prov_drp2[DI_IL_KEY]',
'$prov_drp2[DI_IL_MIN_DMG]',
'$prov_drp2[DI_IL_MAX_DMG]','$prov_drp2[DI_IL_MAGD_MIN]',
'$prov_drp2[DI_IL_MAGD_MAX]','$prov_drp2[DI_IL_STR]','$prov_drp2[DI_IL_DEX]',
'$prov_drp2[DI_IL_INT]','$prov_drp2[DI_IL_SPD]','$prov_drp2[DI_IL_MIN_PROCH]',
'$prov_drp2[DI_IL_MAX_PROCH]','$prov_drp2[DI_IL_TREBUET]','$prov_drp2[DI_IL_IMAGE]',
'$prov_drp2[DI_IL_SRC]','0','$prov_drp2[DI_IL_SHANS_BLOCK]',
'$prov_drp2[DI_IL_FIRE]','$prov_drp2[DI_IL_WIND]','$prov_drp2[DI_IL_EARTH]','$prov_drp2[DI_IL_DARK]',
'$prov_drp2[DI_BONUS_HP]','$prov_drp2[DI_BONUS_MP]','$prov_drp2[DI_BONUS_MDEF]',
'$prov_drp2[DI_BONUS_DAM]','$prov_drp2[DI_BONUS_KRIT]','$prov_drp2[DI_BONUS_UKL]',
'$prov_drp2[DI_BONUS_VES]','$prov_drp2[IL_UPGRADE]',
'$_SESSION[s]','$prov_drp2[IL_DESC]','1','$prov_drp2[IL_VREME]','$prov_drp2[IL_TVRE]')");//добавляем броню или оружие
$delit = mysql_query("DELETE FROM died_items WHERE DI_IL_KEY=\"$idT\" AND DI_IDENTIFIKATOR=\"$menu\"");
print('<script>location.href="died_items.php?p=0&menu='."$menu".'";</script>');
}
if($prov_drp2[ID_ALL_CLASS] != 'weapon' AND $prov_drp2[ID_ALL_CLASS] != 'armor'){
$prov_ite = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"$idT\" AND ID_USERS=\"$_SESSION[s]\"");
if(mysql_num_rows($prov_ite)>0){
$prov_it2 = mysql_query("SELECT * FROM inv WHERE IL_KEY=\"$prov_drp2[DI_IL_KEY]\" AND ID_USERS=\"$_SESSION[s]\"");
$prov_ite2 = mysql_fetch_assoc($prov_it2);
$coupl = $prov_ite2[IL_COUNT]+$prov_drp2[IL_COUNT];
$upd=mysql_query("UPDATE inv SET IL_COUNT=\"$coupl\" WHERE IL_KEY=\"$prov_drp2[DI_IL_KEY]\" AND ID_USERS=\"$_SESSION[s]\"");
$delit = mysql_query("DELETE FROM died_items WHERE DI_IL_KEY=\"$idT\" AND DI_IDENTIFIKATOR=\"$menu\"");
print('<script>location.href="died_items.php?p=0&menu='."$menu".'";</script>');

}
if(mysql_num_rows($prov_ite)<1){
echo"НЕ БРОНЯ INSERT";
}

}

}
}
}

echo"</div>";
}

}

}

?>

  </b></font>

  </td>
  
  </tr>
<tr>
 
  <td width="348" height="10" align="center" valign="middle" bgcolor="#FFE7BA">
  <b><font color="#a23232">
<? 
// Проверяем нужны ли стрелки назад  
if ($page != 1) $pervpage = '<a href= ./inv.php?page=1><<</a>  
                               <a href= ./inv.php?page='. ($page - 1) .'><</a> ';  
// Проверяем нужны ли стрелки вперед  
if ($page != $total) $nextpage = ' <a href= ./inv.php?page='. ($page + 1) .'>></a>  
                                   <a href= ./inv.php?page=' .$total. '>>></a>';  

// Находим две ближайшие станицы с обоих краев, если они есть  
if($page - 2 > 0) $page2left = ' <a href= ./inv.php?page='. ($page - 2) .'>'. ($page - 2) .'</a> | ';  
if($page - 1 > 0) $page1left = '<a href= ./inv.php?page='. ($page - 1) .'>'. ($page - 1) .'</a> | ';  
if($page + 2 <= $total) $page2right = ' | <a href= ./inv.php?page='. ($page + 2) .'>'. ($page + 2) .'</a>';  
if($page + 1 <= $total) $page1right = ' | <a href= ./inv.php?page='. ($page + 1) .'>'. ($page + 1) .'</a>'; 

// Вывод меню  
echo $pervpage.$page2left.$page1left.'<b>'.$page.'</b>'.$page1right.$page2right.$nextpage;  
?>
  </font></b></td></tr>
<tr><td width="348" height="31" align="left" valign="middle" bgcolor="#FFE7BA"
<?
       





include("footer.php");


?>

</td></tr>
<?}?>   
</table>
<?

?>

</body>
</html>



